import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:legal_device/legal_device.dart';

void main() {
  const MethodChannel channel = MethodChannel('legal_device');

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return false;
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await legalDevice.isLegalDevice, false);
  });
}
